Description

Further to #10250 we have two types of reference between issues:

1. duplicates

2. duplicated by

Apparently changed in #10250 to:

1. is duplicate of

2. has duplicate

I am frankly not sure whether the new wording helps me understand which to use in a given situation. I really would not care except

for a nasty side effect that bites me all the time.

Having found two duplicate issues and tagging them, I close the one I no longer want in my system. In theory it should be the later

one, but of the later one has more detailed steps to reproduce or is already in progress, I may close the older task, it does not really

matter.

However depending which of these two states I applied where (ie in which direction the ambiguous semantics point) about 50% of

the time BOTH tasks get closed. If you have a task which is (I think) the second of these options and you close it, ALL duplicates are

closed at the same time.

This is, frankly, out of character for Redmine. There are almost no other situations where issues affect each other like this. Even

closing a Group task does not close its subtasks (thankfully).

MY request is to:

1. Remove this behaviour; OR

2. At a minimum prompt first - remind the user how many issues will be closed by their action.

I have been bitten many times by this, and only realised what has happened about half the time which is scary.

Associated revisions

Revision 16697 - 2017-06-25 13:40 - Jean-Philippe Lang

Setting to disable automatic closing of duplicates (#26192).

Revision 16698 - 2017-06-25 13:41 - Jean-Philippe Lang

Adds setting_close_duplicate_issues string to locales (#26192).

History

#1 - 2017-06-25 13:43 - Jean-Philippe Lang

- Subject changed from Warn before closing duplicate to Option to disable automatic closing of duplicate issues

- Category set to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.0

- Resolution set to Fixed
Remove this behaviour

 A new setting lets you disable the automatic closing of duplicates: Settings > Issue tracking > Close duplicate issues automatically.

It's still enabled by default.

#2 - 2017-07-06 22:54 - Tobias Fischer

Automatic closing has been introduced with 3.4, right?

Any chance that this improvement can be backported to 3.4 branch?

#3 - 2017-07-07 00:32 - Jean-Philippe Lang

Tobias Fischer wrote:

Automatic closing has been introduced with 3.4, right?

 It was actually long before 3.4: r663.

#4 - 2017-07-07 09:50 - Tobias Fischer

Jean-Philippe Lang wrote:

Tobias Fischer wrote:

Automatic closing has been introduced with 3.4, right?

 It was actually long before 3.4: r663.

 10 years ago, hahaha, slightly before 3.4, right ;-)

Well, so I have to admit that I never came across this feature in ~8000 closed issues in my project or it didn't work for me...

#5 - 2017-07-08 18:37 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0
